<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:orientation="vertical"
    android:fitsSystemWindows="true"
    android:paddingBottom="16dp">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="10dp"
        android:gravity="center">

        <View
            android:layout_width="32dp"
            android:layout_height="4dp"
            android:background="@drawable/dr_dialog_indicator_bg" />
    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_margin="16dp"
        android:orientation="vertical">

        <TextView
            android:id="@+id/tvTitle"
            style="@style/TextViewFont_PopSemiBold"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginBottom="8dp"
            android:text="@string/view_model"
            android:textColor="@color/black"
            android:textSize="18sp" />

        <FrameLayout
            android:id="@+id/toggleContainer"
            android:layout_width="match_parent"
            android:layout_height="48dp"
            android:layout_marginTop="16dp"
            android:layout_marginBottom="16dp"
            android:background="@drawable/dr_bg_toggle_group"
            android:clipToPadding="false">

            <View
                android:id="@+id/indicator"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_gravity="start"
                android:background="@drawable/dr_bg_toggle_indicator"
                android:translationX="0dp" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:orientation="horizontal">

                <LinearLayout
                    android:id="@+id/btnHorizontal"
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_weight="1"
                    android:gravity="center"
                    android:orientation="horizontal">

                    <ImageView
                        android:id="@+id/horizontalIv"
                        android:layout_width="24dp"
                        android:layout_height="24dp"
                        android:src="@drawable/read_horizontal" />

                    <TextView
                        android:id="@+id/horizontalTv"
                        style="@style/TextViewFont_PopMedium"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="8dp"
                        android:gravity="center"
                        android:text="@string/horizontal"
                        android:textColor="@color/text_color_lv1"
                        android:textSize="16sp" />
                </LinearLayout>

                <LinearLayout
                    android:id="@+id/btnVertical"
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_weight="1"
                    android:gravity="center"
                    android:orientation="horizontal">

                    <ImageView
                        android:id="@+id/verticalIv"
                        android:layout_width="24dp"
                        android:layout_height="24dp"
                        android:src="@drawable/read_vertical" />

                    <TextView
                        android:id="@+id/verticalTv"
                        style="@style/TextViewFont_PopMedium"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="8dp"
                        android:gravity="center"
                        android:text="@string/vertical"
                        android:textColor="@color/text_color_lv1"
                        android:textSize="16sp" />

                </LinearLayout>

            </LinearLayout>
        </FrameLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="48dp"
            android:layout_marginTop="8dp"
            android:gravity="center_vertical"
            android:orientation="horizontal">

            <ImageView
                android:layout_width="24dp"
                android:layout_height="24dp"
                android:src="@drawable/page_by_page" />

            <TextView
                style="@style/TextViewFont_PopMedium"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginStart="8dp"
                android:layout_marginEnd="8dp"
                android:layout_weight="1"
                android:text="@string/page_by_page"
                android:textColor="@color/text_color_lv1"
                android:textSize="16sp" />

            <com.all.pdfreader.pdf.reader.ui.view.CustomSwitchButton
                android:id="@+id/switchPageByPage"
                android:layout_width="wrap_content"
                android:layout_height="32dp"
                app:sb_background="@color/line_color"
                app:sb_checked_color="@color/icon_on"
                app:sb_show_indicator="false" />

        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="44dp"
            android:gravity="center_vertical"
            android:orientation="horizontal">

            <ImageView
                android:layout_width="24dp"
                android:layout_height="24dp"
                android:src="@drawable/color_inversion" />

            <TextView
                style="@style/TextViewFont_PopMedium"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginStart="8dp"
                android:layout_marginEnd="8dp"
                android:layout_weight="1"
                android:text="@string/color_inversion"
                android:textColor="@color/text_color_lv1"
                android:textSize="16sp" />

            <com.all.pdfreader.pdf.reader.ui.view.CustomSwitchButton
                android:id="@+id/switchColorInversion"
                android:layout_width="wrap_content"
                android:layout_height="32dp"
                app:sb_background="@color/line_color"
                app:sb_checked_color="@color/icon_on"
                app:sb_show_indicator="false" />
        </LinearLayout>

    </LinearLayout>
</LinearLayout>